summaryrefslogtreecommitdiff
path: root/contrib/build-openssl-mingw-cross.sh
diff options
context:
space:
mode:
authorChristian Pointner <equinox@anytun.org>2012-07-17 22:51:23 +0000
committerChristian Pointner <equinox@anytun.org>2012-07-17 22:51:23 +0000
commit5fa7195bd0cd8559c62ff62a812ee1f593cc0af7 (patch)
tree53fa2160e15531a0638de74b4fb3e403fa6f50c8 /contrib/build-openssl-mingw-cross.sh
parentadded mingw release script (diff)
upgraded mingw build scripts and patches
Diffstat (limited to 'contrib/build-openssl-mingw-cross.sh')
-rwxr-xr-xcontrib/build-openssl-mingw-cross.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/contrib/build-openssl-mingw-cross.sh b/contrib/build-openssl-mingw-cross.sh
index 39f73eb..e2b47d8 100755
--- a/contrib/build-openssl-mingw-cross.sh
+++ b/contrib/build-openssl-mingw-cross.sh
@@ -1,12 +1,14 @@
#!/bin/sh
-set -e
-OPENSSL=openssl-1.0.0f
+set -e
+OPENSSL=openssl-1.0.1c
BASE=`pwd`
wget http://openssl.org/source/$OPENSSL.tar.gz -O - | tar xz
cd $OPENSSL
-patch -p1 < ../openssl-1.0.0f-configure.patch
+if [ -e ../$OPENSSL\-configure.patch ]; then
+ patch -p1 < ../$OPENSSL\-configure.patch
+fi
./config --cross-compile-prefix=x86_64-w64-mingw32- shared mingw64 --prefix=$BASE/openssl-w64/
make
make install